Bug 160517 - X pseudo-terminals are not registered in utmp and wtmp if parent tty session is closed
Summary: X pseudo-terminals are not registered in utmp and wtmp if parent tty session ...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 8.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-06 15:30 UTC by Renato Tambellini
Modified: 2017-12-31 22:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Tambellini 2011-09-06 15:30:01 UTC
The pseudo-terminals (pts) allocated by xterm, rxvt and possibly others X terminal emulators are not registered in the utmp and wtmp files if the session of tty that called the X session is closed. Consequently the pts sessions not appears in the list of sessions of commands last(1), who(1), w(1) and others that depends of utmp and wtmp entries to run properly.

Fix: 

unknown
How-To-Repeat: 1) Make a login in the system tty console eg: ttyv0
2) Run the command: startx & exit
3) Open a xterm or rxvt using the window manager
4) Do commands last, who or w and verify that this session not appear in the list.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:31 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped